Views:

You receive the following error message on your Mobile Security app:

"Update Required: There is more than one version of Mobile Security on this device"

This issue happens because another or older version of Trend Micro Mobile Security is installed on your device.


Check if Mobile Security is in the latest version

  1. Check all installed apps and make sure that no other Trend Micro Mobile Security is installed.
  2. If you see an old version of Trend Micro Mobile Security, uninstall it, then install the latest version through Google Play Store. For the instructions, refer to this article: How to reinstall Mobile Security for Android.
  3. If the issue persists, contact ourTechnical Support for assistance.
Comments (0)
Add a comment